Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Interface TAG_INTERNET_IOP

public interface TAG_INTERNET_IOP

org/omg/IOP/TAG_INTERNET_IOP.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, January 30, 2002 4:01:40 AM GMT-08:00

Field Summary
`static int` | `value` Identifies profiles that support the Internet Inter-ORB Protocol.

Field Detail

### value

    public static final int value

  Identifies profiles that support the Internet Inter-ORB Protocol. The `ProfileBody` of this profile contains a CDR encapsulation of a structure containing addressing and object identification information used by IIOP. Version 1.1 of the `TAG_INTERNET_IOP` profile also includes an array of TaggedComponent objects that can contain additional information supporting optional IIOP features, ORB services such as security, and future protocol extensions.

  Protocols other than IIOP (such as ESIOPs and other GIOPs) can share profile information (such as object identity or security information) with IIOP by encoding their additional profile information as components in the `TAG_INTERNET_IOP` profile. All `TAG_INTERNET_IOP` profiles support IIOP, regardless of whether they also support additional protocols. Interoperable ORBs are not required to create or understand any other profile, nor are they required to create or understand any of the components defined for other protocols that might share the `TAG_INTERNET_IOP` profile with IIOP.

  The `profile_data` for the `TAG_INTERNET_IOP` profile is a CDR encapsulation of the `IIOP.ProfileBody_1_1` type.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.